Playback issue when jumping from one sample rate file to another
October 22, 2021 06:54 - Fulalas Fulalas

Status: Closed Start date: October 22, 2021
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.1

Description

| have a portable DAC (HiBy FC3) that is very aggressive regarding energy saving so that when it detects no streaming it turns off. |
noticed that on Audacious if | start playing a 44 KHz file and change to a 48 KHz file (and vice-versa), something happens that my
DAC turns off. Since this DAC has a fade in when it turns on, this issue can be pretty annoying when listening to a playlist with
different sample rate tracks.

This issue also happens on DeaDBeeF and Mpv (both Linux and Windows), however it doesn't happen on Winamp or MPC-HC
(either via Wine or Windows native), so | guess there's a way to fix this.

I'm currently running Slackware x64 current.

History

#1 - October 22, 2021 17:59 - John Lindgren
- Tracker changed from Bug to Support

#2 - November 13, 2021 02:42 - John Lindgren

If switching samplerates causes trouble for your DAC, you can try using the Sample Rate Converter effect to play everything at the same samplerate.

#3 - March 05, 2022 14:54 - John Lindgren

- Status changed from New to Closed

Closing due to inactivity. Sorry no one was able to help you with this.
